Subject: Re: bug#73289: ceph 17.2.5 no longer installable

From: Ludovic Courtès <[email-masked]>
Date: Sat, 28 Sep 2024 00:25:15 +0200

Hello Yann,

Yann Dupont <[email-masked]> skribis:

> Hello everyone,
> ceph is no longer installable, probably since the core update.
>
> see https://ci.guix.gnu.org/build/5775507/log
>
> The main reason seems to be the boost update. A relatively simple fix
> exists for recent versions of ceph , (see
> https://github.com/ceph/ceph/commit/244c5ebbd4d5683da7f57612cc02e946aae7fd73)
> but this has not been backported to older versions of ceph.
>
> Adding this patch to ceph 17.2.5 works. We have several options:
>
> -> stay in 17.2.5, add this patch, which is little work and not a big risk
> -> take the opportunity to upgrade to 17.2.7 (which is currently the
>    last stable version of the 17.2 series), I've tested it and it
>    *seems* to work,
> -> take the opportunity to upgrade to a more recent version of ceph
>    (18 or 19), but that's a whole other job.
>
> What do you think?
>
> I'll post the patch to at least correct the compilation and upgrade to
> 17.2.7

Applied as 05949855559bc016c0a79b78cef5371dcc4811c6 (I added the patch
to ‘gnu/local.mk’, added a one-line description at the top, and wrote a
commit log).

I guess “we” can look into upgrading to 18 or 19 separately.

Thanks!

Ludo’.